Login | Register
My pages Projects Community openCollabNet

gef
Reply to message

* = Required fields
* Subject
* Body
Attachments
Send reply to
Topic
Author (directly in email)
Please type the letters in the image above.

Original message

Author "Smith, Brian" <SmithBL@mail.medicine.uiowa.edu>
Full name "Smith, Brian" <SmithBL@mail.medicine.uiowa.edu>
Date 2000-05-18 20:41:17 PDT
Message Hello. Here's some information about building and running using JDK 1.3:

1. JDK 1.3 introduced the java.util.Timer class which will conflict with
javax.swing.Timer when javax.swing.* and java.util.* are both imported. I
have attached a patch that makes the references to javax.swing.Timer
explicit in ModeDragScroll.java.

2. If you are using the latest release build of ANT (April 18th), it won't
compile any files because it has a NO-OP for the JDK 1.3 compiler. The
latest CVS snapshot seems to have fixed this, so I recommend that you try
that. I patched my copy of the April 18th version of ANT instead of
upgrading, and I can send the instructions for how to do that if you want
them.

3. JRE 1.3 complains about setting the java.compiler property, saying that
the attempted change will just be ignored. It is just a warning (the apps.
still run okay) but the build.xml files should probably be changed unless
they are needed for backward compatibility with older JRE's.

BTW...what is the easiest way to get XML4J.JAR included automatically in the
build process? I want to keep it in its current location (not in the gef/*
hierarchy). I can't run most of the demos because they can't find xml4j.jar.
Also, do you have any version dependencies on XML4J? Are people using the
latest version or an old one?

Thanks,
Brian